import glob
import json

recipe_names = glob.glob("recipes/*.json")

for recipe_name in recipe_names:
    edited = False
    with open(recipe_name) as recipe_file:
        recipe = json.load(recipe_file)
        if recipe["type"] == "minecraft:crafting_shaped":
            if recipe["pattern"][0] != recipe["pattern"][-1]:
                recipe["pattern"][0], recipe["pattern"][-1] = recipe["pattern"][-1], recipe["pattern"][0]
                edited = True
    if edited:
        with open(recipe_name, mode="w") as recipe_file:
            json.dump(recipe, recipe_file, indent=2)
print "done"